"""
Задание 4.3
Напишите функцию, которая вычисляет количество дней в месяце.
    На вход подается номер месяца и параметр, который указывает, является ли год високосным.

"""

def countDaysInMonth(month: int, leap: bool):
    """
    Функция возвращает количество дней в месяце в зависимости от номера месяца и признака високосного года
    :param month: нумерация начинается с 1
    :param leap: True если високосный год, в противном случае не високосный
    :return: целочисленное количество дней в указанном месяце
    """
    if month == 2:
        return 29 if leap else 28
    if month < 8:
        return 31 if month % 2 == 1 else 30
    else:
        return 31 if month % 2 == 0 else 30
